import 'dart:convert';

import 'package:http/http.dart' as http;

import '../models/cuentas_bancarias.dart';
class CuentasBancariasProvider{
  final _url = 'smart.solerpalau.mx';

  Future<CuentasBancarias> fetchCuentasBancarias(String token, String dinum) async{
    final url = Uri.https(_url, 'PR/api/v1/quiosco/obtenerCuentasBancarias');
    final res = await http.post(url,
        headers: {
          'Authorization' : 'Bearer $token'
        },
        body: {
          'DINUM' : dinum
        }
    );
    final decodedData = jsonDecode(res.body);
    final cuentas = CuentasBancarias.fromJson(decodedData);
    return cuentas;
  }
}